<div id="custom_dashboard">
  <el-container v-if="appShow">

    <el-header>

      <el-select v-model="optionurl" placeholder="Select Dashboard">
        <el-option v-for="item in options"
        :key="item.value"
        :label="item.label"
        :value="item.value"
        :optionurl="optionurl">
        </el-option>
      </el-select>

      <el-date-picker
        v-if="showPeriod"
        v-model="date_period"
        type="daterange"
        start-placeholder="с"
        end-placeholder="по"
        picker-options={firstDayOfWeek:1}
        format="dd.MM.yyyy"
        :default-time="['00:00:00', '23:59:59']">
      </el-date-picker>

      <el-button v-if="showPeriod" @click="setPeriod" icon="el-icon-check" type="success" plain>Применить</el-button>

    </el-header>

    <el-main>
      <iframe name="dashboard" frameborder="0" width="100%" v-bind:height="h" v-bind:src="urlDashboard"></iframe>
    </el-main>

  </el-container>
</div>

<style>
  .el-main {
    background-color: #E9EEF3;
    padding: 0 !important;
  }

  .el-header,
  .el-footer {
    background-color: #B3C0D1;
    color: #333;
    text-align: left;
    line-height: 60px;
  }

</style>
